## kftpgrabber 0.8.99~svn1044538

=== src/CMakeLists.txt ===
ADD_SUBDIRECTORY( misc ) 
ADD_SUBDIRECTORY( engine ) 
ADD_SUBDIRECTORY( ui ) 
ADD_SUBDIRECTORY( widgets ) 

include_directories(
	misc
	widgets
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${KDE4_INCLUDE_DIR}
	${QT_INCLUDES}
)


########### next target ###############

SET(kftpgrabber_SRCS
main.cpp
mainwindow.cpp
checksumverifier.cpp
kftpbookmarks.cpp
kftpqueue.cpp
kftpqueueprocessor.cpp
kftpsession.cpp
kftpqueueconverter.cpp
kftptransfer.cpp
kftptransferfile.cpp
kftptransferdir.cpp
fileexistsactions.cpp
statistics.cpp
site.cpp
queueobject.cpp
queuegroup.cpp
directoryscanner.cpp
)


kde4_add_executable(kftpgrabber ${kftpgrabber_SRCS})

# bookmarkwidgets 
target_link_libraries(kftpgrabber ${KDE4_KDECORE_LIBS} ${KDE4_KDNSSD_LIBRARY} ${KDE4_KDE3SUPPORT_LIBRARY} ${KDE4_KUTILS_LIBRARY} ${KDE4_KFILE_LIBRARY} ${LIBSSH2_LIBRARY})
target_link_libraries(kftpgrabber ssl browser bookmarkwidgets queueviewwidget failedtransferswidget widgets engine misc customcommands ui kftpinterfaces)

install(TARGETS kftpgrabber ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install(FILES kftpgrabber.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES kftpgrabberui.rc kftpgrabber-logo.png kftpgrabber-bi-wizard.png DESTINATION ${DATA_INSTALL_DIR}/kftpgrabber)

kde4_install_icons( ${ICON_INSTALL_DIR} )

=== debian/changelog ===
kftpgrabber (0.8.99~svn1044538-3ubuntu1) natty; urgency=low

  * Fix FTBFS with ld --no-add-needed.
    - Link kftpgrabber against kpart and crypto.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 16 Jan 2011 10:15:31 +0100

kftpgrabber (0.8.99~svn1044538-3) unstable; urgency=low

  [ Pino Toscano ]
  * Add cmake build dependency, as it is no more provided by kdelibs5-dev.

  [ Michael Meskes ]
  * Added source/format file.
  * Bumped Standards-Version to 3.8.4, no changes needed.
  * Added special SSL exception in the source code to copyright file.

 -- Michael Meskes <meskes@debian.org>  Thu, 06 May 2010 10:29:27 +0200

kftpgrabber (0.8.99~svn1044538-2) unstable; urgency=low

  * Forgot to update build dependencies.

 -- Michael Meskes <meskes@debian.org>  Wed, 11 Nov 2009 15:17:39 +0100

kftpgrabber (0.8.99~svn1044538-1) unstable; urgency=low

  * New upstream version for KDE4. (Closes: #543012, #551329) 

 -- Michael Meskes <meskes@debian.org>  Mon, 09 Nov 2009 16:02:53 +0100

kftpgrabber (0.8.1-2) unstable; urgency=low

  [ Mark Purcell ]
  * Remove get-orig-source targets. sf.net sillyness.

  [ Michael Meskes ]
  * Added myself as uploader.
  * Added patch by Thijs Kinkhorst <thijs@debian.org> to make default encoding
    UTF-8, closes: #431438
  * Bumped Standards-Version to 3.7.3.
  * Added command to delete *.gmo file to clean target, closes: #442614
  * Moved homepage from description to its own field.
  * Changed menu section to Applications/Network/File Transfer.

 -- Michael Meskes <meskes@debian.org>  Sat, 19 Apr 2008 19:09:05 +0200

kftpgrabber (0.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fboudra@free.fr>  Tue, 15 May 2007 20:26:16 +0200

kftpgrabber (0.8.0-2) unstable; urgency=low

  * Update debian/watch

 -- Mark Purcell <msp@debian.org>  Thu, 29 Mar 2007 22:01:50 +0100

kftpgrabber (0.8.0-1) experimental; urgency=low

  * New upstream release.
  * Add debian/rules get-orig-source target for http://buildserver.net.
  * Merge kdepot patch from kubuntu.

 -- Fathi Boudra <fboudra@free.fr>  Fri,  5 Jan 2007 08:21:01 +0100

kftpgrabber (0.8.0~beta2-1) unstable; urgency=low

  * New upstream release
  * Remove branch pull up to r596782

 -- Fathi Boudra <fboudra@free.fr>  Thu,  9 Nov 2006 11:11:15 +0100

kftpgrabber (0.8.0~beta1-1) unstable; urgency=low

  * New upstream release
  * Add menu file (Closes: #390212)
  * Branch pull up to r596782

 -- Fathi Boudra <fboudra@free.fr>  Wed, 18 Oct 2006 15:27:49 +0200

kftpgrabber (0.8.0~alpha2-1) unstable; urgency=low

  * New upstream release 

 -- Fathi Boudra <fboudra@free.fr>  Wed, 20 Sep 2006 17:59:57 +0200

kftpgrabber (0.7.99-1) unstable; urgency=low

  * New upstream release (Closes: #376668)
  * compat: bumped to 5
  * control:
    * bumped Standards-Version to 3.7.2
    * updated description
  * copyright: added Martin Filser, Tobias Ussing and Tim Kosse

 -- Fathi Boudra <fboudra@free.fr>  Tue,  5 Sep 2006 16:15:05 +0200

kftpgrabber (0.7-beta1-1) unstable; urgency=low

  * Initial release Closes: #276068

 -- Fathi Boudra <fboudra@free.fr>  Fri, 17 Mar 2006 23:48:32 +0100

=== debian/control ===
Source: kftpgrabber
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
Build-Depends: cdbs, debhelper (>= 5), kdelibs5-dev, libssh2-1-dev, docbook2x, libssl-dev, cmake
Standards-Version: 3.8.4
Homepage: http://www.kftp.org
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/kftpgrabber.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/kftpgrabber.git

Package: kftpgrabber
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ftp client for KDE
 KFTPgrabber is a graphical FTP client for the K Desktop Environment. It
 implements many features required for usable FTP interaction.
 .
 Feature list:
  - Multiple simultaneous FTP sessions in separate tabs
  - A tree-oriented transfer queue
  - TLS/SSL support for the control connection and the data channel
  - X509 certificate support for authentication
  - FXP site-to-site transfer support
  - One-time password (OTP) support using S/KEY, MD5, RMD160 or SHA1
  - Site bookmarks with many options configurable per-site
  - Distributed FTP daemon support (implementing the PRET command)
  - Can use Zeroconf for local site discovery
  - Bookmark import plugins from other FTP clients
  - Support for the SFTP protocol
  - A nice traffic graph
  - Ability to limit upload and download speed
  - Priority and skip lists
  - Integrated SFV checksum verifier
  - Direct viewing/editing of remote files
  - Advanced default "on file exists" action configuration
  - Filter displayed files/directories as you type

=== debian/rules ===
#!/usr/bin/make -f
 
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/cmake.mk

build/kftpgrabber::
	/usr/bin/docbook2x-man debian/kftpgrabber.xml

clean::
	rm -f kftpgrabber.1

## kftpgrabber 0.8.99~svn1214766

=== CMakeLists.txt ===
project(KFTPgrabber)

cmake_minimum_required(VERSION 2.6)
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(CheckIncludeFile)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
                      ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
                      ${CMAKE_CURRENT_SOURCE_DIR}/../cmake/modules)

find_package(LibSSH2 REQUIRED)

add_definitions(-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDES})

check_include_file(sys/poll.h         HAVE_SYS_POLL_H)
check_include_file(sys/time.h         HAVE_SYS_TIME_H)
check_include_file(openssl/aes.h      HAVE_OPENSSL_AES_H)
check_include_file(openssl/blowfish.h HAVE_OPENSSL_BLOWFISH_H)

check_symbol_exists(gethostbyname     "netdb.h"       HAVE_GETHOSTBYNAME)
check_symbol_exists(gethostbyaddr     "netdb.h"       HAVE_GETHOSTBYADDR)
check_symbol_exists(poll              "poll.h"        HAVE_POLL)
check_symbol_exists(select            "sys/select.h"  HAVE_SELECT)

configure_file(config-kftpgrabber.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kftpgrabber.h)

add_subdirectory( src )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -39,15 +39,15 @@
 kde4_add_executable(kftpgrabber ${kftpgrabber_SRCS})
 
 # bookmarkwidgets 
-target_link_libraries(kftpgrabber ${KDE4_KDECORE_LIBS} ${KDE4_KDNSSD_LIBRARY} ${KDE4_KDE3SUPPORT_LIBRARY} ${KDE4_KUTILS_LIBRARY} ${KDE4_KFILE_LIBRARY} ${LIBSSH2_LIBRARY})
-target_link_libraries(kftpgrabber ssl browser bookmarkwidgets queueviewwidget failedtransferswidget widgets engine misc customcommands ui kftpinterfaces)
+target_link_libraries(kftpgrabber ${KDE4_KPARTS_LIBS} ${KDE4_KDECORE_LIBS} ${KDE4_KDNSSD_LIBRARY} ${KDE4_KDE3SUPPORT_LIBRARY} ${KDE4_KUTILS_LIBRARY} ${KDE4_KFILE_LIBRARY} ${LIBSSH2_LIBRARY} )
+target_link_libraries(kftpgrabber browser bookmarkwidgets queueviewwidget failedtransferswidget widgets engine misc customcommands ui kftpinterfaces crypto)
 
 install(TARGETS kftpgrabber ${INSTALL_TARGETS_DEFAULT_ARGS})
 
 
 ########### install files ###############
 
-install(FILES kftpgrabber.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(PROGRAMS kftpgrabber.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 install(FILES kftpgrabberui.rc kftpgrabber-logo.png kftpgrabber-bi-wizard.png DESTINATION ${DATA_INSTALL_DIR}/kftpgrabber)
 
 kde4_install_icons( ${ICON_INSTALL_DIR} )

=== src/engine/CMakeLists.txt ===
include_directories(
	..
	../misc
	${CMAKE_CURRENT_BINARY_DIR}/..
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${KDE4_INCLUDE_DIR}
	${QT_INCLUDES}
)


########### next target ###############

SET(engine_SRCS
settings.cpp
socket.cpp
thread.cpp
directorylisting.cpp
commands.cpp
event.cpp
ftpsocket.cpp
ftpdirectoryparser.cpp
cache.cpp
sftpsocket.cpp
connectionretry.cpp
speedlimiter.cpp
otpgenerator.cpp
)

kde4_add_library(engine STATIC ${engine_SRCS})
target_link_libraries(engine ${LIBSSH2_LIBRARY})

add_dependencies(engine misc)

=== src/misc/CMakeLists.txt ===
ADD_SUBDIRECTORY( interfaces ) 
ADD_SUBDIRECTORY( plugins ) 
ADD_SUBDIRECTORY( customcommands ) 

INCLUDE_DIRECTORIES(
	..
	interfaces
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${KDE4_INCLUDE_DIR}
	${QT_INCLUDES}
)

########### next target ###############

SET(misc_SRCS
wallet.cpp
pluginmanager.cpp
zeroconf.cpp
configbase.cpp
filter.cpp
filterwidgethandler.cpp
certificatestore.cpp
)

kde4_add_kcfg_files(misc_SRCS config.kcfgc)

kde4_add_library(misc STATIC ${misc_SRCS})

=== src/ui/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${KDE4_INCLUDE_DIR}
	${QT_INCLUDES}
)

########### next target ###############

SET(ui_SRCS
foobar.cpp
)


SET( ui_UI
kftpfilteraddpatternlayout.ui
quickconnect.ui
kftpqueueeditorlayout.ui
kftpsearchlayout.ui
kftpbookmarkimportlayout.ui
config_general.ui
config_transfers.ui
config_log.ui
config_display.ui
config_filters.ui
checksum_verifier.ui
)

KDE4_ADD_UI_FILES(ui_SRCS ${ui_UI} )

KDE4_ADD_LIBRARY(ui STATIC ${ui_SRCS})

=== src/widgets/CMakeLists.txt ===
ADD_SUBDIRECTORY( queueview ) 
ADD_SUBDIRECTORY( browser ) 
ADD_SUBDIRECTORY( bookmarks ) 
ADD_SUBDIRECTORY( failedtransfers )

INCLUDE_DIRECTORIES(
	..
	../misc
	${CMAKE_CURRENT_BINARY_DIR}/..
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${KDE4_INCLUDE_DIR}
	${QT_INCLUDES}
)

########### next target ###############

SET(widgets_SRCS
logview.cpp
#kftpselectserverdialog.cpp
#kftpselectserverdialog.h
#kftpserverlineedit.cpp
#kftpserverlineedit.h
listview.cpp
systemtray.cpp
#searchdialog.cpp
zeroconflistview.cpp
trafficgraph.cpp
listviewitem.cpp
configdialog.cpp
configfilter.cpp
verifier.cpp
filtereditor.cpp
widgetlister.cpp
overlaywidget.cpp
popupmessage.cpp
sslerrorsdialog.cpp
fingerprintverifydialog.cpp
)

SET(widgets_UI
sslerrorsdialog.ui
fingerprintverifydialog.ui
)

kde4_add_ui_files(widgets_SRCS ${widgets_UI})

kde4_add_library(widgets STATIC ${widgets_SRCS})

add_dependencies(widgets misc engine ui)

=== src/misc/customcommands/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	../..
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${KDE4_INCLUDE_DIR}
	${QT_INCLUDES}
)

########### next target ###############

SET(customcommands_SRCS
handlers.cpp
entry.cpp
manager.cpp
parameterentrydialog.cpp
responsedialog.cpp
)

kde4_add_library(customcommands STATIC ${customcommands_SRCS})


########### install files ###############

install(FILES commands.xml DESTINATION ${DATA_INSTALL_DIR}/kftpgrabber)

=== src/misc/interfaces/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	${CMAKE_SOURCE_DIR}/kftpgrabber/src/ftp
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${KDE4_INCLUDE_DIR}
	${QT_INCLUDES}
)


########### next target ###############

SET(kftpinterfaces_LIB_SRCS
kftpbookmarkimportplugin.cpp
)


kde4_add_library(kftpinterfaces SHARED ${kftpinterfaces_LIB_SRCS})

target_link_libraries(kftpinterfaces ${KDE4_KPARTS_LIBS} ${QT_QTCORE_LIBRARY})
set_target_properties(kftpinterfaces PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})

install(TARGETS kftpinterfaces ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES kftpbookmarkimportplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/misc/plugins/CMakeLists.txt ===
ADD_SUBDIRECTORY( bookmarkimport ) 

#INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )


########### install files ###############




#original Makefile.am contents follow:

#INCLUDES = $(all_includes)
#METASOURCES = AUTO
#SUBDIRS = bookmarkimport

=== src/widgets/bookmarks/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	..
	../..
	../../misc
	${CMAKE_CURRENT_BINARY_DIR}/../..
	${CMAKE_CURRENT_BINARY_DIR}/..
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${KDE4_INCLUDE_DIR}
	${QT_INCLUDES}
)

########### next target ###############

SET(bookmarkwidgets_SRCS
model.cpp
treeview.cpp
#bookmarksdelegate.cpp
editor.cpp
)

SET(bookmarkwidgets_UI
editor.ui
)

kde4_add_ui_files(bookmarkwidgets_SRCS ${bookmarkwidgets_UI})

kde4_add_library(bookmarkwidgets STATIC ${bookmarkwidgets_SRCS})

add_dependencies(bookmarkwidgets widgets)

=== src/widgets/browser/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	..
	../..
	../../misc
	${CMAKE_CURRENT_BINARY_DIR}/../..
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${KDE4_INCLUDE_DIR}
	${QT_INCLUDES}
)

########### next target ###############

SET(browser_SRCS
dirlister.cpp
dirmodel.cpp
dirsortfilterproxymodel.cpp
locationnavigator.cpp
detailsview.cpp
view.cpp
actions.cpp
treeview.cpp
#propsplugin.cpp
#filterwidget.cpp
)


kde4_add_library(browser STATIC ${browser_SRCS})

add_dependencies(browser widgets bookmarkwidgets)

=== src/widgets/failedtransfers/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	..
	../..
	../../misc
	${CMAKE_CURRENT_BINARY_DIR}/../..
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${KDE4_INCLUDE_DIR}
	${QT_INCLUDES}
)

########### next target ###############

SET(failedtransferswidget_SRCS
model.cpp
view.cpp
)


kde4_add_library(failedtransferswidget STATIC ${failedtransferswidget_SRCS})

add_dependencies(failedtransferswidget widgets)

=== debian/changelog ===
kftpgrabber (0.8.99~svn1214766-1) unstable; urgency=low

  * New Upstream version 0.8.99~svn1214766 (Closes: #610212)
  * Bumped Standards-Version to 3.9.2, no changes needed
  * Updated lintian overrides for new version.

 -- Michael Meskes <meskes@debian.org>  Sun, 03 Jul 2011 12:31:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: kftpgrabber
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: cdbs, debhelper (>= 5), kdelibs5-dev, libssh2-1-dev, docbook2x, libssl-dev, cmake
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://www.kftp.org
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/kftpgrabber.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/kftpgrabber.git

=== debian/rules ===
#!/usr/bin/make -f
 
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

build/kftpgrabber::
	/usr/bin/docbook2x-man debian/kftpgrabber.xml

clean::
	rm -f kftpgrabber.1

=== debian/watch ===
version=3
http://www.kftp.org/misc/downloads/ /uploads/files/kftpgrabber-(.*)\.tar\.bz2
